#
# spec file for package ghc-toml-parser
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name toml-parser
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.3.2.0
Release:        150500.11.3.1
Summary:        TOML 1.0.0 parser
License:        ISC
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  alex
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-prettyprinter-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  happy
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-template-haskell-devel
%endif

%description
TOML parser using generated lexers and parsers with careful attention to the
TOML 1.0.0 semantics for defining tables.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Mon Jan 15 2024 psimons@suse.com
- Update toml-parser to version 1.3.2.0.
  [#]# 1.3.2.0
  * Added `Toml.Generic` to make instances easily derivable via DerivingVia.
  * Added GHC.Generics support for switching between product types and TOML arrays.
  [#]# 1.3.1.3
  * Bugfix: Previous fix admitted some invalid inline tables - these are now rejected
  [#]# 1.3.1.2
  * Bugfix: In some cases overlapping keys in inline tables could throw an exception
    instead instead of returning the proper semantic error value.
  [#]# 1.3.1.1
  * Ensure years are rendered zero-padded
* Tue Nov 28 2023 psimons@suse.com
- Add toml-parser at version 1.3.1.0.
